Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.insurabilityv2.service.impl
Class InsurabilityServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.insurabilityv2.service.impl.InsurabilityServiceImpl

All Implemented Interfaces:
  InsurabilityService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class InsurabilityServiceImpl

extends Object
implements InsurabilityService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `InsurabilityService` interface.

Constructor Summary
`InsurabilityServiceImpl()` default constructor, needed for ModuleBootstrapHook.
`InsurabilityServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)` Creates a new InsurabilityServiceImpl

Method Summary
`void` | `bootstrap()`
`GetInsurabilityForPharmacistResponse` | `getInsurabilityForPharmacist(SAMLToken token, GetInsurabilityForPharmacistRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityServiceImpl

    public InsurabilityServiceImpl(SessionValidator sessVal,
                                   EhealthReplyValidator ehRepVal)
                            throws TechnicalConnectorException

  Creates a new InsurabilityServiceImpl

  Throws:
    `TechnicalConnectorException`

### InsurabilityServiceImpl

    public InsurabilityServiceImpl()

  default constructor, needed for ModuleBootstrapHook.

Method Detail

### getInsurabilityForPharmacist

    public GetInsurabilityForPharmacistResponse getInsurabilityForPharmacist(SAMLToken token,
                                                                             GetInsurabilityForPharmacistRequest request)
                                                                      throws InsurabilityBusinessConnectorException,
                                                                             TechnicalConnectorException,
                                                                             SessionManagementException

  Specified by:
    `getInsurabilityForPharmacist` in interface `InsurabilityService`
  Returns:
  Throws:
    `InsurabilityBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `be.ehealth.businessconnector.insurabilityv2.service.InsurabilityService#getInsurabilityForPharmacist(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.ehealth.businessconnector.insurabilityv2.service.GetInsurabilityForPharmacistRequest)`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.